# Create Video Generation Task

> Wan 2.6 create video generation task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/wan-2-6/create-task
Locale: en

## Endpoint


```http
POST /v1/video/generations
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model` | string | Yes | Model name | "wan2.6-video-720p", "wan2.6-video-1080p" |
| `prompt` | string | Yes | prompt | |
| `image` | string | Yes | reference | |
| `duration` | string | Yes | duration | |
| `size` | string | Yes | videosize | "1280*720", "720*1280", "1920*1080", "1080*1920", Note: text-to-video Optional valuessizecontrolLandscape Portrait, image-to-video sizeParameters, pass in, Yes videoLandscape Portrait reference |
| `extra_body` | object | Yes | | |

## Request Examples

### Example 1

```json
{
  "model": "wan2.6-video-1080p",
  "prompt": " ",
  "duration": 5,
  "size": "1080*1920",
  "extra_body": {
    "negative_prompt": "do not blur, do not ",
    "shot_type": "multi",
    "seed": -1
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "wan2.6-video-1080p",
 "prompt": " ",
 "duration": 5,
 "size": "1080*1920",
 "extra_body": {"negative_prompt": "do not blur, do not ",
 "shot_type": "multi",
 "seed": -1}}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Success

```json
{
  "id": "task_xxxxxxxxxxxxxxxxxxxx",
  "task_id": "task_xxxxxxxxxxxxx",
  "object": "video.generation.job",
  "model": "wan2.6-video-1080p",
  "status": "in_progress",
  "progress": 5,
  "created_at": 1773984104
}
```
